Subject: Re: [patch 2.4.28-pre3] 3c59x: resync with 2.6

From: "John W. Linville" <[email-masked]>
Date: Fri, 8 Oct 2004 14:29:59 -0400

On Fri, Oct 08, 2004 at 03:05:37PM -0400, Jeff Garzik wrote:
> John W. Linville wrote:
> 
> >  static struct ethtool_ops vortex_ethtool_ops = {
> > -	.get_drvinfo		= vortex_get_drvinfo,
> > +	.get_drvinfo =		vortex_get_drvinfo,
> >  };
> 
> reverting good style.

Hey, I'm not the one who put it in 2.6... :-)

I can fix it, then submit a 2.6 patch as well?

> >  	case SIOCSMIIREG:		/* Write MII PHY register. */
> > -	case SIOCDEVPRIVATE+2:		/* for binary compat, remove in 2.5 */
> 
> breaks ABI in the middle of a stable series

Good point...

> > +static inline struct mii_ioctl_data *if_mii(struct ifreq *rq)
> > +{
> > +	return (struct mii_ioctl_data *) &rq->ifr_ifru;
> > +}
> > +
> > +
> 
> This should be in include/linux/mii.h like it is in 2.6.x.

I think you missed this part:

> > --- linux-2.4/include/linux/mii.h.orig
> > +++ linux-2.4/include/linux/mii.h
> > @@ -9,6 +9,7 @@
> > #define __LINUX_MII_H__

The patch must have been too long... :-)

I'll cook-up another version, plus the tiny 2.6 patch as well...

John
-- 
John W. Linville
[email-masked]